Envie
ReferenceApi

Merge a guest list into a customer's

POST
/v1/storefront/identify

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/storefront/identify" \  -H "Content-Type: application/json" \  -d '{    "anonymousId": "f7edc527-4c8d-432b-8594-97b9f9c91cd4"  }'
{  "id": "string",  "owner": {    "type": "customer",    "customerId": "string"  },  "name": "string",  "default": true,  "count": 0,  "items": [    {      "id": "string",      "productId": "string",      "variantId": "string",      "handle": "string",      "titleSnapshot": "string",      "addedAt": "2019-08-24T14:15:22Z"    }  ],  "share": {    "enabled": true,    "token": "string"  },  "updatedAt": "2019-08-24T14:15:22Z"}